Transaction
Get Card Transaction Listโ
This API allows you to retrieve the list of transaction for a card.
- Endpoint
GET {{baseUrl}}/issuing/api/:version/wallet/history
Description
Retrieves the list of transactions for a specific card associated with a cardholder.
When the request header x-card-id is provided, this API returns
all completed transactions for the specified card. This enables cardholders to view
card-level transaction activity and effectively track spending and manage financial records.
๐ Path Parameters
version string required
API version number. Default value is
v1.๐ฉ Request Headers
x-api-key string required
Shared X-API key
x-product-id string required
Shared Product ID
x-cardholder-id string required
Unique identifier of the cardholder
x-wallet-id string required
Unique identifier of the wallet
x-card-id string required
Unique identifier of the card to fetch its transaction history
x-client-id string
Client identification key
x-request-id string required
Idempotency key for request tracking
Content-Type string required
Must be
application/jsonAuthorization string
Bearer access token
๐ Query Parameters
from_date string
Start date filter. Date must be in ISO 8601 format:
YYYY-MM-DD or yyyy-MM-ddTHH:mm:ss.to_date string
End date filter. Date must be in ISO 8601 format:
YYYY-MM-DD or yyyy-MM-ddTHH:mm:ss.page integer
Page number for pagination
size integer
Number of records per page
- ๐งฉ Examples
- ๐งช Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request GET \
--url '{{baseUrl}}/issuing/api/:version/wallet/history' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholder-id: {{CardholderID}}' \
--header 'x-wallet-id: {{WalletID}}' \
--header 'x-card-id: {{CardID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/wallet/history?card_id={{CardID}}"
payload = {}
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-wallet-id': '{{WalletID}}',
'x-card-id': '{{CardID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/wallet/history?card_id={{CardID}}")
.method("GET", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholder-id", "{{CardholderID}}")
.addHeader("x-wallet-id", "{{WalletID}}")
.addHeader("x-card-id", "{{CardID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/wallet/history?card_id={{CardID}}',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-wallet-id': '{{WalletID}}',
'x-card-id': '{{CardID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "wallet history",
"code": 200,
"data": [
{
"genericSlNo": 27,
"slNo": "RHA267",
"wallet_id": "wallet-id",
"programCode": "program-code",
"txn_currency": "USD",
"txn_amount": 7.89,
"available_amount": 13.00,
"available_currency": "USD",
"acquirer_amount": "390.00",
"acquirer_currency": "INR",
"txn_type": "fee_SCTF",
"txn_direction": "DEBIT",
"txn_ref_id": "rhatestwithfees1501202605",
"txn_email": null,
"txn_description": "Card Transaction",
"txn_status": "APPROVED",
"card_acceptor_name": "FEE",
"card_id": "card-id",
"initiated_by": "SYSTEM",
"settle_amount": 0.09,
"settle_currency": "USD",
"billing_amount": 0.09,
"billing_currency": "USD",
"initiatedAt": "2026-01-15T07:20:00",
"updatedAt": "2026-01-15T07:25:34"
},
{
"genericSlNo": 26,
"slNo": "RHA266",
"wallet_id": "wallet-id",
"programCode": "program-code",
"txn_currency": "USD",
"txn_amount": 12.30,
"available_amount": 17.50,
"available_currency": "USD",
"acquirer_amount": "390.00",
"acquirer_currency": "INR",
"txn_type": "deduction",
"txn_direction": "DEBIT",
"txn_ref_id": "rhatestwithfees1501202605",
"txn_email": null,
"txn_description": "Card Transaction",
"txn_status": "APPROVED",
"card_acceptor_name": "RAZ*Blinkit>Faridabad HA IN",
"card_id": "card-id",
"initiated_by": "SYSTEM",
"settle_amount": 5.72,
"settle_currency": "SGD",
"billing_amount": 5.72,
"billing_currency": "SGD",
"initiatedAt": "2026-01-15T07:20:00",
"updatedAt": "2026-01-15T07:25:34"
}
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
๐งพ Get Wallet History โ Sandbox
๐ Headers
x-api-key:
x-product-id:
x-cardholder-id:
x-wallet-id:
x-card-id:
x-client-id:
x-request-id:
Authorization: